error.h File Reference

Error applet. More...

`#include <3ds/types.h>`

Go to the source code of this file.

## Data Structures

struct | errorConf

## Enumerations

enum | { ERROR_LANGUAGE_FLAG = 0x100 , ERROR_WORD_WRAP_FLAG = 0x200 }

enum

errorType {
ERROR_CODE = 0 ,
ERROR_TEXT ,
ERROR_EULA ,
ERROR_TYPE_EULA_FIRST_BOOT ,
ERROR_TYPE_EULA_DRAW_ONLY ,
ERROR_TYPE_AGREE ,
ERROR_CODE_LANGUAGE = ERROR_CODE | ERROR_LANGUAGE_FLAG ,
ERROR_TEXT_LANGUAGE = ERROR_TEXT | ERROR_LANGUAGE_FLAG ,
ERROR_EULA_LANGUAGE = ERROR_EULA | ERROR_LANGUAGE_FLAG ,
ERROR_TEXT_WORD_WRAP = ERROR_TEXT | ERROR_WORD_WRAP_FLAG ,
ERROR_TEXT_LANGUAGE_WORD_WRAP = ERROR_TEXT | ERROR_LANGUAGE_FLAG | ERROR_WORD_WRAP_FLAG
}

enum | errorScreenFlag { ERROR_NORMAL = 0 , ERROR_STEREO }
enum | errorReturnCode { ERROR_UNKNOWN = -1 , ERROR_NONE = 0 , ERROR_SUCCESS , ERROR_NOT_SUPPORTED , ERROR_HOME_BUTTON = 10 , ERROR_SOFTWARE_RESET , ERROR_POWER_BUTTON }

## Functions

void | errorInit (errorConf *err, errorType type, CFG_Language lang)
| Init the error applet. More...
void | errorCode (errorConf *err, int error)
| Sets error code to display. More...
void | errorText (errorConf *err, const char *text)
| Sets error text to display. More...
void | errorDisp (errorConf *err)
| Displays the error applet. More...

## Detailed Description

Error applet.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
ERROR_LANGUAGE_FLAG | ??-Unknown flag
ERROR_WORD_WRAP_FLAG | ??-Unknown flag

## errorType

enum errorType

Enumerator
ERROR_CODE | Displays the infrastructure communications-related error message corresponding to the error code.
ERROR_TEXT | Displays text passed to this applet.
ERROR_EULA | Displays the EULA.
ERROR_TYPE_EULA_FIRST_BOOT | Use prohibited.
ERROR_TYPE_EULA_DRAW_ONLY | Use prohibited.
ERROR_TYPE_AGREE | Use prohibited.
ERROR_CODE_LANGUAGE | Displays a network error message in a specified language.
ERROR_TEXT_LANGUAGE | Displays text passed to this applet in a specified language.
ERROR_EULA_LANGUAGE | Displays EULA in a specified language.
ERROR_TEXT_WORD_WRAP | Displays the custom error message passed to this applet with automatic line wrapping.
ERROR_TEXT_LANGUAGE_WORD_WRAP | Displays the custom error message with automatic line wrapping and in the specified language.

## Function Documentation

## errorCode()

void errorCode | ( | errorConf * | err,
|  | int | error
| ) |  |

Sets error code to display.

Parameters

  err | Pointer to errorConf.
  error | Error-code to display.

## errorDisp()

void errorDisp | ( | errorConf * | err | ) |

Displays the error applet.

Parameters

  err | Pointer to errorConf.

## errorInit()

void errorInit | ( | errorConf * | err,
|  | errorType | type,
|  | CFG_Language | lang
| ) |  |

Init the error applet.

Parameters

  err | Pointer to errorConf.
  type | errorType Type of error.
  lang | CFG_Language Lang of error.

## errorText()

void errorText | ( | errorConf * | err,
|  | const char * | text
| ) |  |

Sets error text to display.

Parameters

  err | Pointer to errorConf.
  text | Error-text to display.